******************************************
*            Syntax file prepared
*                       for
*              kaken0810 anaysis
*                      and
*    gTo Randomize or Not to Randomize in 
*    Computer Assisted Personal Interviews.h
*  Policy Science (Journal of the Policy Science 
*  Association of Ritsumeikan University) 50, 
*             2012, 461-481
*
*         (c)2012 Yoshitaka Nishizawa
*
*       Created on 8 March 2011
*     Edited for HP on 16 Nov 2011
*          Revised on 02 Sep 2012
******************************************.

******************************************
  Wave3: Sample A & B
******************************************.

*get file='nishizawa_randomization_web1002.sav'.

*  \1 1/3*******************.
compute hiX=max(Xa1x1 to Xa1x18).
compute loX=min(Xa1x1 to Xa1x18).
compute rangeX=hiX - loX.
compute meanX=mean(Xa1x1 to Xa1x18).
compute hiY=max(Ya1x1 to Ya1x18).
compute loY=min(Ya1x1 to Ya1x18).
compute rangeY=hiY - loY.
compute meanY=mean(Ya1x1 to Ya1x18).

temporary.
select if (ab=1).
des rangeX rangeY meanX meanY.

temporary.
select if (ab=2).
des rangeX rangeY meanX meanY.


* \2 --q͂pĂ̏ʂ݂̑̊mF.
*F1.
temporary.
select if (ab=1).
fac var=Xa1x1 to Xa1x18.

*F2.
temporary.
select if (ab=1).
fac var=Ya1x1 to Ya1x18.

*F3.
temporary.
select if (ab=2).
fac var=Xa1x1 to Xa1x18.

*F4.
temporary.
select if (ab=2).
fac var=Ya1x1 to Ya1x18.

*F5.
temporary.
select if (ab=2).
fac var=Ya1AR1 to Ya1AR18.



* \3 --tFϒl̕ϓ.
temporary.
select if (ab=1).
t-test pairs=Ya1x1 to Ya1x18 with Xa1x1 to Xa1x18 (paired).
temporary.
select if (ab=2).
t-test pairs=Ya1x1 to Ya1x18 with Xa1x1 to Xa1x18 (paired).


* \4 --AJOƕϒl̕ϓ.

do repeat
  awave=Xa1x1 to Xa1x18
 /bwave=Ya1x1 to Ya1x18
 /d=diff1 to diff18
 /d3=diff3_1 to diff3_18.
 compute d=bwave - awave.
 recode d (lowest thru -2=-1)(-1 thru 1=0)(2 thru highest=1) into d3.
end repeat.

temporary.
select if (ab=1).
freq diff3_1 diff3_2 diff3_3 diff3_4 diff3_5 
       diff3_6 diff3_7 diff3_8 diff3_9 diff3_10 
       diff3_11 diff3_12 diff3_13 diff3_14 diff3_15 
       diff3_16 diff3_17 diff3_18.
temporary.
select if (ab=2).
freq diff3_1 diff3_2 diff3_3 diff3_4 diff3_5 
       diff3_6 diff3_7 diff3_8 diff3_9 diff3_10 
       diff3_11 diff3_12 diff3_13 diff3_14 diff3_15 
       diff3_16 diff3_17 diff3_18.


*{u5.4 AJOvɈp̐lF
     \ڂActural Response3O[vɕAŜ̕]ς̍mF.
recode Ya1AR1 (1 thru 4=1)(5=2)(6 thru 10=3) into anchor.
temporary.
select if (ab=2).
freq anchor.
compute averageY=mean(Ya1x1 to Ya1x18).
temporary.
select if (ab=2).
means averageY by anchor.
temporary.
select if (ab=2).
t-test groups=anchor(1 3)
 /var=averageY.


* \5 --Y̑ʂւ̕\oCAX̉eFA.

compute totalDif=sum(diff1 to diff18).

recode YaDS1 
  (9=6.62)(2=6.35)(4=6.30)(3=5.90)(5=5.53)(8=5.42)
  (1=5.39)(7=5.19)(6=4.75)(13=4.72)(15=4.26)(18=4.18)
  (10=3.77)(12=3.77)(16=3.72)(11=3.03)(17=2.94)(14=2.92) into item1t_means.
recode YaDS1 
  (9=1.62)(2=1.35)(4=1.30)(3=0.90)(5=0.53)(8=0.42)
  (1=0.39)(7=0.19)(6=0.25)(13=0.28)(15=0.74)(18=0.82)
  (10=1.23)(12=1.23)(16=1.28)(11=1.97)(17=2.06)(14=2.08) into item1t_means5.

compute c=1.
do repeat
  a=Xa1x1 to Xa1x18.
 if (YaDS1=c) diffY1st=Ya1AR1 - a.
 compute c=c + 1.
end repeat.

recode Yq3 (1=1)(2=.67)(3=.33)(4=0) into polint.
recode Yq5 (1=1)(2=.75)(3=.5)(4=.25)(5=0) into polsat.
recode Xsf1 (1=0)(2=1) into female.
recode Xsf2 (1=25)(2=35)(3=45)(4=55) into age.
recode Xf3 (1=9)(2=12)(3=14)(4=16) into edu.
recode Xf4 (1=200)(2=400)(3=600)(4=800)(5=1000)
           (6=1200)(7=1400)(8=1600) into income.

temporary.
select if (ab=2).
reg var=totalDif
        diffY1st item1t_means item1t_means5
        Xa1x1 Ya1AR1
        polint polsat 
 /dep totalDif
 /enter.


******************************************
  Wave1: Sample C, D, & E
******************************************.

*GET 
  FILE='nishizawa_randomization_web0902.sav'.

*  \1 2/3*******************.
missing values b3x1 to b5x5 c3x1 to c5x5 (-9).
*                          no missing for a1x1 thru a3x5.
compute hiA=max(a1x1 to a3x5).
compute loA=min(a1x1 to a3x5).
compute rangeA = hiA - loA.
compute meanA = mean(a1x1 to a3x5).

compute hiB=max(b3x1 to b5x5,b2b,b2a).
compute loB=min(b3x1 to b5x5,b2b,b2a).
compute rangeB = hiB - loB.
compute meanB=mean(b3x1 to b5x5,b2b,b2a).

compute maxC=-9.
compute minC=-9.
if (split_code=3) maxC=10.
if (split_code=3) minC=0.
missing values maxC minC (-9).

compute hiC=max(c3x1 to c5x5,maxC,minC).
compute loC=min(c3x1 to c5x5,maxC,minC).
compute rangeC = hiC - loC.
compute meanC=mean(c3x1 to c5x5,maxC,minC).

compute hiC16=max(c3x1 to c5x5).
compute loC16=min(c3x1 to c5x5).
compute rangeC16 = hiC16 - loC16.
compute meanC16=mean(c3x1 to c5x5).

des rangeA rangeB rangeC rangeC16
    meanA meanB meanC meanC16.


******************************************
  Wave2: Sample F, G, & H
******************************************.

*GET 
  FILE='nishizawa_randomization_web0909.sav'.

*  \1 3/3*******************.
compute hi=max(Mabc1 to Mabc18).
compute lo=min(Mabc1 to Mabc18).
compute ra=hi - lo.
compute me=mean(Mabc1 to Mabc18).

temporary.
select if (split_code=1).
des ra me.
temporary.
select if (split_code=2).
des ra me.
temporary.
select if (split_code=3).
des ra me.


*end of file.



